Backward compatibility requirements for Security Center - Security Center 5.11.1.0

Security Center Installation and Upgrade Guide 5.11.1.0

Applies to
Security Center 5.11.1.0
Last updated
2022-10-20
Content type
Guides > Installation guides
Language
English
Product
Security Center
Version
5.11
Category
Installation guides

Security Center 5.11.1.0 is backward compatible with many Security Center components from the three previous major versions.

IMPORTANT: Security Center 5.11.1.0 is compatible with the three previous major versions. A server or workstation that is three major versions behind can connect to the 5.11.1.0 Directory, but one that is four major versions behind cannot. To retain backward compatibility when upgrading your system in stages, no part of Security Center can be more than three major versions apart. For systems that are four to six major versions behind, upgrade in two steps to maintain backward compatibility.
IMPORTANT: Adding backward compatible connections slows down the performance of the Directory. It is only recommended as a temporary solution before you are able to upgrade all servers and workstations.
The requirements for Security Center backward compatibility are as follows:
Upgrading to the latest version
When upgrading, you must always upgrade the main server hosting the Directory role and Config Tool. Always upgrade each expansion server hosting a role type that is not backward compatible.
Using new features
To use the new features introduced in version 5.11.1.0, upgrade your Security Center servers.
Role assigned to multiple servers
If a role is assigned to multiple servers, such as in a failover configuration, all of its servers must be running the same version of Security Center.
Directory assigned to multiple servers
All Directory servers must use the exact same version, meaning that all four digits of their version numbers must be the same. For example, if you upgrade to Security Center 5.11.1.0, you must upgrade all Directory servers to 5.11.1.0.

Backward compatibility between Security Center roles

Each new version of Security Center includes new role features that might not be compatible with earlier versions. The Security Center roles that are backward compatible are outlined in the following table.
IMPORTANT: All expansion servers hosting a non-backward compatible role must be upgraded to the same version as the main server hosting the Directory.
5.11 role Backward compatible with 5.8, 5.9 and 5.10
Yes No
Access Manager  
Active Directory ✓ (5.9 and later)  
ALPR Manager

Formerly LPR Manager (5.9.2.0 and earlier)

 
Archiver  
Authentication Service (OpenID & SAML2)  
Authentication Service (WS-Federation)

Formerly Active Directory Federation Services

 
Authentication Service (WS-Trust)

Formerly Active Directory Federation Services

 
Auxiliary Archiver  
Camera Integrity Monitor (hidden)  
Cloud Playback ✓ (5.10.0.0 and later)  
Directory Manager  
Global Cardholder Synchronizer (GCS)  
Health Monitor  
Intrusion Manager  
Map Manager  
Media Gateway  
Media Router  
Mobile Credential Manager ✓ (5.10.0.0 and later)  
Mobile Server  
Omnicast™ Federation™  
Plugin (all instances) See Suppported plugins in Security Center.
Point of Sale  
Privacy Protector™ (hidden) ✓ (5.7 SR1 and later)  
Record Caching Service ✓ (5.10.0.0 and later)  
Record Fusion Service ✓ (5.10.0.0 and later)  
Report Manager  
Reverse Tunnel  
Reverse Tunnel Server  
Security Center Federation™  
Unit Assistant ✓ (5.10.1.0 and later)1  
Wearable Camera Manager  
Web Server  
Web-based SDK  
Zone Manager  

1 Unit Assistant is only backward compatible for the unit password management feature. The unit certificate management feature has only been introduced in 5.11.0.0.

Backward compatibility with Security Center tasks

The Security Center 5.11 tasks that are backward compatible with Security Desk 5.8, 5.9 and 5.10 are summarized in the following table:

Task category Task type Backward compatible with Security Desk 5.8, 5.9 and 5.10
Yes No
Operation Monitoring (live and playback video)  
Maps  
Dashboards  
Health dashboard ✓ (5.8.1.0 and later)
Remote  
Cardholder management 1  
Credential management 1  
Visitor management 1  
People counting  
Hotlist and permit editor  
Inventory management  
Mustering ✓ (5.9.0.0 and later)
Alarm management Alarm monitoring  
Alarm report  
Investigation Genetec Clearance™ activities See Suppported plugins in Security Center.
Incidents  
Transactions  
Zone activities  
Investigation > Access control Area activities  
Door activities  
Cardholder activities  
Visitor activities  
Area presence  
Time and attendance  
Credential activities  
Credential request history  
Elevator activities  
Visit details 1  
Investigation > Asset management Asset activities  
Asset inventory  
Investigation > ALPR Hits  
Hits (Mutli-region)  
Reads  
Reads (Mutli-region)  
Patroller tracking  
Inventory report  
Daily usage per Patroller  
Logons per Patroller  
Reads/hits per day  
Reads/hits per zone  
Zone occupancy  
Parking sessions  
Parking zone activities  
Investigation > Intrusion detection Intrusion detection area activities  
Investigation > Record fusion Records ✓ (5.10.0.0 and later)  
Investigation > Video Archives  
Bookmarks  
Camera events  
Motion search  
Video file explorer  
Forensic search  
Security video analytics  
Maintenance System status  
Audit trails  
Activity trails  
Health history  
Health statistics  
Hardware inventory  
Maintenance > Access control Access control health history  
Access control unit events  
Cardholder access rights  
Door troubleshooter  
Access rule configuration  
Cardholder configuration 1  
Credential configuration  
I/O configuration  
Maintenance > Intrusion detection Intrusion detection unit events  
Maintenance > Video Camera configuration  
Archiver events  
Archiver statistics  
Archive storage details  
Wearable camera evidence  

1 Saved reports that use filters with During the next time intervals are not compatible with Security Desk 5.8 and earlier.